Package com.pixelmed.network

# Class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

java.lang.Object
com.pixelmed.network.MultipleInstanceTransferStatusHandler
com.pixelmed.network.NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

Enclosing class:
  NetworkMediaImporter

protected class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler extends MultipleInstanceTransferStatusHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MessageLogger`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`OurMultipleInstanceTransferStatusHandler(MessageLogger logger)`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected MessageLogger logger

## Constructor Details

### OurMultipleInstanceTransferStatusHandler

public OurMultipleInstanceTransferStatusHandler(MessageLogger logger)

## Method Details

### updateStatus

public void updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)

Specified by:
  `updateStatus` in class `MultipleInstanceTransferStatusHandler`